[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TOnSelectCellEvent

Specifies the event handler signalled when a cell is selected in a grid control.

## Declaration

Source position: grids.pas line 347

`type TOnSelectCellEvent = procedure(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`var CanSelect: Boolean`
`) of object;`

## Arguments

`Sender` |  | Control for the event notification.
`aCol` |  | Column number for the selection notification.
`aRow` |  | Row number for the selection notification.
`CanSelect` |  | Set to True if the specified cell can be selected.

## Description

TOnSelectCellEvent specifies the event handler signalled when a cell is selected in a custom-drawn grid control. TOnSelectCellEvent is the type used to implement the OnSelectCell in TCustomDrawGrid.

## See also

TCustomDrawGrid.OnSelectCell |  | Event handler signalled when a grid cell is selected.